using System;
using System.Data;

public partial class indexClass : System.Web.UI.Page
{
	DeepSoonHelp dh = null;
	string urlRule = "";
	string themeHtml = "";
	
	protected void Page_Load(object sender, EventArgs e)
    {
		if(!IsPostBack){
		
			///创建函数库
			dh = new DeepSoonHelp();
			
			///获取首选项的urlRule配置
			urlRule = dh.getUrlRule();
			
			///获取模板内容
			themeHtml = dh.getThemeHtml("T_index.html");
			
			///处理广告标签
			themeHtml = dh.replaceAdTag(themeHtml,"IndexLeft");
			
			///处理头版头条标签
			themeHtml = dh.replaceHdTitleTag(themeHtml,urlRule);
			
			///处理幻灯图片标签
			themeHtml = dh.replaceImgPlayerTag(themeHtml,urlRule);
			
			///处理文章列表标签
			themeHtml = dh.replaceShowListTag(themeHtml,urlRule);
			
			///处理最热文章标签
			themeHtml = dh.replaceHotListTag(themeHtml,urlRule);
			
			///处理最新发布标签
			themeHtml = dh.replaceNewListTag(themeHtml,urlRule);
			
			///处理链接标签
			themeHtml = dh.replaceLinksTag(themeHtml);
			
			///将网页数据显示
			this.labelIndexContent.Text = themeHtml;
		}
		
    }
	
}